Groovy 1.7.0

## groovy.swing.factory
Class EmptyBorderFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.SwingBorderFactory
              groovy.swing.factory.EmptyBorderFactory

    class EmptyBorderFactory
    extends SwingBorderFactory

accepts values in leiu of attributes: int - all of top, left, bottom, right [int, int, int, int] - top, left, bottom, right accepts attributes when no value present: top: int, left: int, bottom: int, right: int

Constructor Summary
`EmptyBorderFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class SwingBorderFactory
isLeaf, onHandleNodeAttributes, setParent

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### EmptyBorderFactory

    EmptyBorderFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.